package com.ruoyi.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 访问记录对象 access_record
 * 
 * @author ruoyi
 * @date 2024-02-27
 */
public class AccessRecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long recordId;

    /** 来访者姓名 */
    @Excel(name = "来访者姓名")
    private String recordName;

    /** 来访者手机号 */
    @Excel(name = "来访者手机号")
    private String recordPhone;

    /** 来访者身份证 */
    @Excel(name = "来访者身份证")
    private String recordIdCard;

    /** 来访者人数 */
    @Excel(name = "来访者人数")
    private String recordNum;

    /** 来访者事由 */
    @Excel(name = "来访者事由")
    private String recordReason;

    /** 来访者补充事由 */
    @Excel(name = "来访者补充事由")
    private String recordRemark;

    /** 出入时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "出入时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date recordDateTime;

    /** 人员类型 1:内部人员 2:外部人员 */
    @Excel(name = "人员类型 1:内部人员 2:外部人员")
    private String recordType;

    /** 记录来源 */
    @Excel(name = "记录来源")
    private String recordSource;

    /** 人脸数据 */
    @Excel(name = "人脸数据")
    private String humanFaceData;

    /** 创建部门 */
    @Excel(name = "创建部门")
    private Long createDept;

    public void setRecordId(Long recordId) 
    {
        this.recordId = recordId;
    }

    public Long getRecordId() 
    {
        return recordId;
    }
    public void setRecordName(String recordName) 
    {
        this.recordName = recordName;
    }

    public String getRecordName() 
    {
        return recordName;
    }
    public void setRecordPhone(String recordPhone) 
    {
        this.recordPhone = recordPhone;
    }

    public String getRecordPhone() 
    {
        return recordPhone;
    }
    public void setRecordIdCard(String recordIdCard) 
    {
        this.recordIdCard = recordIdCard;
    }

    public String getRecordIdCard() 
    {
        return recordIdCard;
    }
    public void setRecordNum(String recordNum) 
    {
        this.recordNum = recordNum;
    }

    public String getRecordNum() 
    {
        return recordNum;
    }
    public void setRecordReason(String recordReason) 
    {
        this.recordReason = recordReason;
    }

    public String getRecordReason() 
    {
        return recordReason;
    }
    public void setRecordRemark(String recordRemark) 
    {
        this.recordRemark = recordRemark;
    }

    public String getRecordRemark() 
    {
        return recordRemark;
    }
    public void setRecordDateTime(Date recordDateTime) 
    {
        this.recordDateTime = recordDateTime;
    }

    public Date getRecordDateTime() 
    {
        return recordDateTime;
    }
    public void setRecordType(String recordType) 
    {
        this.recordType = recordType;
    }

    public String getRecordType() 
    {
        return recordType;
    }
    public void setRecordSource(String recordSource) 
    {
        this.recordSource = recordSource;
    }

    public String getRecordSource() 
    {
        return recordSource;
    }
    public void setHumanFaceData(String humanFaceData) 
    {
        this.humanFaceData = humanFaceData;
    }

    public String getHumanFaceData() 
    {
        return humanFaceData;
    }
    public void setCreateDept(Long createDept) 
    {
        this.createDept = createDept;
    }

    public Long getCreateDept() 
    {
        return createDept;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("recordId", getRecordId())
            .append("recordName", getRecordName())
            .append("recordPhone", getRecordPhone())
            .append("recordIdCard", getRecordIdCard())
            .append("recordNum", getRecordNum())
            .append("recordReason", getRecordReason())
            .append("recordRemark", getRecordRemark())
            .append("recordDateTime", getRecordDateTime())
            .append("recordType", getRecordType())
            .append("recordSource", getRecordSource())
            .append("humanFaceData", getHumanFaceData())
            .append("createDept", getCreateDept())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
